Bug 35957 - FILEOPEN: .ppt import is very slow
Summary: FILEOPEN: .ppt import is very slow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: Other All
: medium major
Assignee: David Tardon
QA Contact:
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords: perf
Depends on:
Blocks:
 
Reported: 2011-04-04 08:53 UTC by Jean-François Fortin Tam
Modified: 2016-10-25 19:03 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
test case (682.00 KB, application/vnd.ms-powerpoint)
2011-04-04 08:53 UTC, Jean-François Fortin Tam
Details
slide31.ppt (416.50 KB, application/vnd.ms-powerpoint)
2011-05-14 07:06 UTC, Christopher M. Penalver
Details
backtrace (13.07 KB, text/plain)
2013-04-08 14:53 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2011-04-04 08:53:22 UTC
Created attachment 45228 [details]
test case

The attached file causes Impress to hang when trying to open it.
Comment 1 tester8 2011-04-06 05:28:12 UTC
Reproduced with
LibreOffice 3.3.2 RC2 (1:3.3.0-1lucid1) - Ubuntu 10.04 x86 Linux 2.6.32-30-generic Russian UI
Comment 2 Jan Holesovsky 2011-04-07 11:46:05 UTC
Hangs are not good :-(
Comment 3 Christopher M. Penalver 2011-05-14 07:05:21 UTC
Downstream bug may be found at:
https://bugs.launchpad.net/df-libreoffice/+bug/541919

1) lsb_release -rd
Description: Ubuntu 11.04
Release: 11.04

2) apt-cache policy libreoffice-impress
libreoffice-impress:
  Installed: 1:3.3.2-1ubuntu5
  Candidate: 1:3.3.2-1ubuntu5
  Version table:
 *** 1:3.3.2-1ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty-proposed/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.3.2-1ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main i386 Packages

3) What is expected to happen in Impress via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/541919/+attachment/1208864/+files/slide31.ppt && loimpress -nologo slide31.ppt

and the slide opens successfully.

4) What happens instead is it hangs indefinitely.
Comment 4 Christopher M. Penalver 2011-05-14 07:06:42 UTC
Created attachment 46710 [details]
slide31.ppt
Comment 5 Jorendc 2013-04-08 14:53:14 UTC
Created attachment 77599 [details]
backtrace

Added a backtrace.

Console output: 

warn:sfx2.dialog:8888:1:sfx2/source/dialog/filtergrouping.cxx:361: already have an element for WordPerfect
warn:sfx2.dialog:8888:1:sfx2/source/dialog/filtergrouping.cxx:361: already have an element for writerweb8_writer_template
warn:sfx2.dialog:8888:1:sfx2/source/dialog/filtergrouping.cxx:361: already have an element for writerglobal8
warn:sdremote.bluetooth:8888:12:sd/source/ui/remotecontrol/BluetoothServer.cxx:173: invalid type of reply to DefaultAdapter: '115'
warn:ucb.ucp.gio:8888:1:ucb/source/ucp/gio/gio_content.cxx:497: Looking for unsupported property BaseURI
warn:legacy.osl:8888:1:ucbhelper/source/provider/propertyvalueset.cxx:445: PropertyValueSet - index out of range!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:legacy.osl:8888:1:sc/source/filter/excel/exctools.cxx:132: XclImpOutlineBuffer::MakeScOutline: unexpected level!
warn:ucb.ucp.gio:8888:1:ucb/source/ucp/gio/gio_content.cxx:497: Looking for unsupported property MediaType
warn:legacy.osl:8888:1:ucbhelper/source/provider/propertyvalueset.cxx:445: PropertyValueSet - index out of range!
warn:legacy.osl:8888:1:svx/source/sdr/contact/viewcontactofe3dscene.cxx:381: No need to get ViewInformation3D from an empty scene (!)
warn:legacy.osl:8888:1:svx/source/sdr/contact/viewcontactofe3dscene.cxx:381: No need to get ViewInformation3D from an empty scene (!)
Comment 6 bfoman (inactive) 2013-08-16 09:19:18 UTC
Checked with:
Version: 4.2.0.0.alpha0+
Build ID: 087a610fcd5c0c354a9ed6bfccd3451b667d62a3
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-04_21:41:24
Windows 8.1 Enterprise Preview 64 bit

Could not reproduce. No hang with 12.ppt.

No hang with slide31.ppt, but only header is imported. Seems this should be reported as separate bug.
Comment 7 Thorsten Behrens (CIB) 2013-09-12 16:14:44 UTC
Apologies for not having gotten around fixing this bug yet; unfortunately in future I'll have even less time at my disposal for this, so I'm freeing up ownership for other volunteers to take over.
Comment 8 Christopher M. Penalver 2013-12-19 19:11:39 UTC
I should never have added slide31.ppt to this report, as an attachment already demonstrating the original reporter's bug is already available. Please disregard:
https://bugs.freedesktop.org/show_bug.cgi?id=35957#c3
https://bugs.freedesktop.org/show_bug.cgi?id=35957#c4

Returning report to original values, and unsubscribing.

Thank you for your understanding.
Comment 9 tommy27 2014-07-18 19:47:46 UTC
retested under Win7x64

MS PowerPoint Viewer opens "12.ppt" file in a second.

LibO 4.2.5.2 hangs but finally opens the file in 1 minute and 33 seconds

LibO 4.4.0.0.alpha0+ (*) is faster and takes 22 seconds.

haven't tried 4.3.x



(*) Build ID: abc28ffc04067eb24840fbf564c311aaee10f84d
TinderBox: Win-x86@42, Branch:master, Time: 2014-07-15_07:20:05
Comment 10 bpkroth 2014-12-09 16:41:37 UTC
(In reply to tommy27 from comment #9)
> retested under Win7x64
> 
> MS PowerPoint Viewer opens "12.ppt" file in a second.
> 
> LibO 4.2.5.2 hangs but finally opens the file in 1 minute and 33 seconds
> 
> LibO 4.4.0.0.alpha0+ (*) is faster and takes 22 seconds.
> 
> haven't tried 4.3.x
> 
> 
> 
> (*) Build ID: abc28ffc04067eb24840fbf564c311aaee10f84d
> TinderBox: Win-x86@42, Branch:master, Time: 2014-07-15_07:20:05

I can confirm that the example slide31.ppt (and several others I've run across recently) have a similar hang and spin at 100% while loading for 4.3.3

Here's my package details from the Debian wheezy-backports repo:

# dpkg -l libreoffice-impress | tail -n1
ii  libreoffice-impress                                         1:4.3.3~rc2-1~bpo70+1              amd64        office productivity suite -- presentation

Thanks,
Brian
Comment 11 Xisco Faulí 2015-09-04 10:10:45 UTC
This issue is still present in

Version: 5.0.1.2
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: es-ES (es_ES)

on Windows 7 (64-bit)

it took 1 minute and 8 seconds to open
Comment 12 Robinson Tryon (qubit) 2015-12-09 18:08:01 UTC
Migrating Whiteboard tags to Keywords: (perf)
Comment 13 Commit Notification 2016-05-13 14:50:06 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07794b4c221dceb06da4d4b3fd7e3678457663af

tdf#35957 check for preconditions earlier

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2016-05-18 19:31:42 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cb91beeb29ba27afe29b02711e942818017bab3c&h=libreoffice-5-1

tdf#35957 check for preconditions earlier

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.